Subject: bug#48228: json-serialize should signal error when dll is not found [MS Windows]

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 May 2021 19:46:20 +0300

> From: Nikolay Kudryavtsev <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Thu, 6 May 2021 19:42:28 +0300
> 
> IMHO it's better to have one now, so that if that case ever happens, 
> package developers relying on GMP can work around it by using the 
> predicate without waiting for a new Emacs version with a predicate to 
> ship. Especially considering how slow the user base is at upgrading.

You assume that this divergence will certainly happen, whereas I
assume it almost certainly won't, because the Gnulib module is
explicitly intended to be a replacement for GMP, and Emacs is its very
respected client.

It is a bad mantra to have APIs that return trivially known values,
there are people here that will sooner or later suggest to remove it
as redundant.